<?php
include_once("connect.php");
include_once("funciones.php");

$op = isset($_REQUEST['op']) ? $_REQUEST['op'] : '';
$id = isset($_REQUEST['id']) ? "'".$_REQUEST['id']."'" : '0';
$act_tipo = isset($_POST['act_tipo']) ? $_POST['act_tipo'] : '0';

switch($op)
{
	case 'load':
		$query = "SELECT * FROM presupuestos WHERE IdPrograma = " . $id . " ORDER BY Periodo ";
		$res = mysql_query($query);
		
		xmlDoc();
    	print '<rows>'."\n";
		if(mysql_num_rows($res))
		{
			while ($row = mysql_fetch_array($res)){
				$by = $row['Periodo'];
				$t_py = $row['Anterior'];
				$t_cy = $row['Actual'];
				$t_by = $row['Futuro'];
				print '<row id="'.$row['IdPresupuesto'].'">'."\n".
				          '<cell>'.$by.'</cell>'."\n".
				     	  '<cell>'.muestraVal($t_py).'</cell>'."\n".
				      	  '<cell>'.muestraVal($t_cy).'</cell>'."\n".
				          '<cell>'.muestraVal($t_by).'</cell>'."\n".
				      '</row>'."\n";
			}
		}
		print '</rows>';
		break;

	case "delete":
		$query = "DELETE FROM presupuestos WHERE IdPresupuesto = $id";
		if(mysql_query($query))
			print("Presupuesto eliminado correctamente");
		else
			die("Error al eliminar presupuesto");
		break;
		
	case 'presup':
		$anio = $_POST['anio'];
		$anterior = limpiaVal($_POST['anterior']);
		$actual = limpiaVal($_POST['actual']);
		$siguiente = limpiaVal($_POST['siguiente']);
		$programa = $_POST['programa'];

		//guardar en presupuestos  
		if($act_tipo == 1)
			$query = "INSERT INTO presupuestos (Periodo, Anterior, Actual, Futuro, IdPrograma) VALUES ($anio, $anterior, $actual, $siguiente, $programa)";
		else
			$query = "UPDATE presupuestos SET Periodo=$anio, Anterior=$anterior, Actual=$actual, Futuro=$siguiente WHERE IdPresupuesto = $id";
		if(mysql_query($query))
			print("Presupuesto almacenado correctamente");
		else
			die("Error al Almacenar Presupuesto");
		break;
}
mysql_close();
?>